.seehotel-slider-block .slider-container {
    position: relative;
    width: 100%;
    max-width: 100%;
    margin: auto;
}

.seehotel-slider-block .slider-container .slide-buttons {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    display: flex;
    align-items: end;
    gap: 12px;
    color: #fff;
}

.seehotel-slider-block .slider-container .slide-buttons .slider-dot {
    min-width: 0;
    cursor: pointer;
    color: #fff;
    text-decoration: none;
    position: relative;
    background-color: transparent;
    border: none;
    padding: 0;
    text-align: left;
}

.seehotel-slider-block .slider-container .slide-buttons .slider-dot .dot-line {
    display: block;
    width: 100%;
    height: 2px;
    background-color: #fff;
    transition: all 0.5s ease-in-out;
}

.seehotel-slider-block .slider-container .slide-buttons .slider-dot.is-active {
    grid-column: span 2;
}

.seehotel-slider-block .slider-container .slide-buttons .slider-dot.is-active .dot-line {
    padding-right: 3em;
}

.seehotel-slider-block .swiper-slide {
    opacity: 0.5;
    position: relative;
}

.seehotel-slider-block .swiper-slide-active {
    opacity: 1;
}

.seehotel-slider-block .graessel-slide-image {
    display: block;
    overflow: hidden;
    height: 700px;
    object-fit: cover;
    width: 100%;
}

.seehotel-slider-block .slide-text {
    opacity: 0;
    pointer-events: none;
    width: 100%;
    text-align: center;
    font-size: 1.5rem;
    color: var(--wp--preset--color--senary);
    display: block;
    padding: 10px 20px;
    transition: opacity 0.5s ease-in-out;
}

.seehotel-slider-block .slide-text .slide-caption {
    font-family: var(--wp--preset--font-family--antic-didone);
    font-size: var(--wp--preset--font-size--large);
}

.seehotel-slider-block .slide-text .slide-link {
    border: 1px solid var(--wp--preset--color--senary);
    padding: 4px 16px;
    margin-top: 20px;
    display: inline-block;
    text-decoration: none;
    color: var(--wp--preset--color--senary);
    transition: all 0.3s ease-in-out;
    font-family: var(--wp--preset--font-family--mukta);
    font-size: var(--wp--preset--font-size--very-small);
}

.seehotel-slider-block .slide-text .slide-link:hover {
    background-color: var(--wp--preset--color--primary);
    border-color: var(--wp--preset--color--primary);
    transform: scale(1.1);
}

.seehotel-slider-block .slide-text.is-active {
    opacity: 1;
    pointer-events: auto;
}

.slide-image-container {
    position: relative;
}

.slide-captions {
    display: grid;

    /* all slide texts are stacked on top of each other via grid */
}

.slide-captions .slide-text {
    grid-area: 1 / 1;
    position: relative;
    z-index: 1;
}

.seehotel-slider-block .swiper-button-prev,
.seehotel-slider-block .swiper-button-next {
    opacity: 0;
    pointer-events: none;
    position: absolute;
    height: 122px;
    width: 122px;
    top: 50%;
    transform: translateY(-50%);
    color: var(--wp--preset--color--quaternary);
    border-radius: 50%;
    background-color: var(--wp--preset--color--tertiary);
    transition: all 0.3s ease-in-out;
    user-select: none;
}

:is(.seehotel-slider-block .swiper-button-prev,.seehotel-slider-block .swiper-button-next) img {
    transition: all 0.3s ease-in-out;
}

:is(.seehotel-slider-block .swiper-button-prev:hover, .seehotel-slider-block .swiper-button-next:hover) {
    background-color: var(--wp--preset--color--primary);
}

:is(.seehotel-slider-block .swiper-button-prev:hover,.seehotel-slider-block .swiper-button-next:hover) img {
    transform: scale(1.2);
}

.seehotel-slider-block .swiper-slide-active .swiper-button-prev, .seehotel-slider-block .swiper-slide-active .swiper-button-next {
    opacity: 1;
    pointer-events: auto;
}

.seehotel-slider-block .swiper-button-next {
    transform: translateY(-50%) translateX(50%);
}

.seehotel-slider-block .swiper-button-next img {
    transform: rotate(180deg);
    margin-left: 10px;
}

.seehotel-slider-block .swiper-button-next:hover img {
    transform: rotate(180deg) scale(1.2);
}

.seehotel-slider-block .swiper-button-prev {
    transform: translateY(-50%) translateX(-50%);
}

.seehotel-slider-block .swiper-button-prev img {
    margin-right: 10px;
}

.seehotel-slider-block .swiper-navigation-icon {
    display: none !important;
}

@media (max-width: 1440px) {
    .seehotel-slider-block .slide-text {
        font-size: 1rem;
        padding: 8px 30px;
    }
}

@media (max-width: 1200px) {
    .seehotel-slider-block .slider-container .slide-buttons {
        bottom: unset;
        top: 40px;
    }

    /* overwrite fullwidth */
    .seehotel-slider-block {
        max-width: 90vw !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }

    .seehotel-slider-block .graessel-slide-image {
        height: 630px;
    }

    .seehotel-slider-block .swiper-button-prev,
    .seehotel-slider-block .swiper-button-next {
        --size: 94px;
        bottom: 40px;
        top: unset;
        transform: translateY(0) translateX(0);
        height: var(--size);
        width: var(--size);
    }

    .seehotel-slider-block .swiper-button-prev {
        left: calc(50% - var(--size) - 10px);
    }

    .seehotel-slider-block .swiper-button-next {
        right: calc(50% - var(--size) - 10px);
    }
}

@media (max-width: 1024px) {
    .seehotel-slider-block .slide-text {
        font-size: 0.8rem;
        padding: 6px 20px;
    }
}